---
title: "Get one catalog model"
description: "One model from the catalog. A few model ids exist in several families (nano-banana-pro is an image, a scene, and an avatar model); read those as /v1/catalog/{family}/{model}."
url: https://docs.roasos.com/api-reference/catalog/getCatalogModel
---

# Get one catalog model

One model from the catalog. A few model ids exist in several families (nano-banana-pro is an image, a scene, and an avatar model); read those as /v1/catalog/{family}/{model}.

## `GET /v1/catalog/{model}`

Endpoint: `GET https://api.roasos.com/v1/catalog/{model}`

Get one catalog model

One model from the catalog. A few model ids exist in several families (nano-banana-pro is an image, a scene, and an avatar model); read those as /v1/catalog/{family}/{model}.

### Parameters

- `model` (path) — required

### Responses

- `200`: One catalog model
- `400`: ambiguous_model: this model id exists in several families
- `404`: Model not found in the catalog

Read the full reference at https://docs.roasos.com/api-reference/catalog/getCatalogModel.
